NDSELECT(1)

NAME
ndselect - select lines and fields for numdiff

DESCRIPTION
Usage: ndselect -h|--help|-v|--version or

ndselect [-b N][-e N][-s N][-F N][-L N][-I N][-S IFS][-D DELIMS][-O OSEP][-x][-l PATH][-o PATH] [FILE]

Print to standard output a subset of lines and fields from a given file.

The argument after the options is the name of the file to read from. The complete path of the file should be given, a directory name is not accepted. If no input file is specified, the program reads from the standard input.

Exit status: 0 in case of normal termination, -1 (255) in case of error

-b, --beginning, --start=N

    Set to N the number of the first line to print (The default behavior is to start with line number 1)

-e, --end=N

    Set to N the number of the last line that can be printed (The default behavior is to arrive till to the end of the file)

-s, --step=N

    Set to N the increment to use when selecting the lines to print (The default value for the increment is 1)

-F, --first-field=N

    Set to N the number of the first field to print (The default behavior is to start with field number 1)

-L, --last-field=N

    Set to N the number of the last field that can be printed (The default behavior is to arrive till to the end of every line)

-I, --increment=N

    Set to N the increment to use when selecting the fields to print (The default value for the increment is 1)

-S, --separators=IFS

    Specify the set of characters to use as delimiters while splitting the input lines into fields (The default set of delimiters is space, tab and newline)

-D, --delimiters=DELIMS

    Specify the set of strings to use as delimiters while splitting the input lines into fields (The default set of delimiters is space, tab and newline)

-O, --output-separator=OSEP

    Specify the string to use as separator while writing the selected fields to the standard output (The default behavior consists in reusing

    the delimiters found in the input lines)

-x, --omit-empty-lines

    Do not print empty lines

-l, --warnings-to=PATH

    Redirect warning and error messages from stderr to the indicated file

-o, --output=PATH

    Redirect output from stdout to the indicated file

-h, --help

    Show this help message

-v, --version

    Show version number, Copyright, Distribution Terms and NO-Warranty

COPYRIGHT
Copyright © 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017 Ivano Primi <ivprimi@libero.it> License GPLv3+: GNU GPL version 3 or later, see <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for ndselect is maintained as a Texinfo manual. If the info and ndselect programs are properly installed at your site, the command

    info numdiff

should give you access to the complete manual.